org.apache.ignite.cache.store.cassandra.session.transaction

## Class WriteMutation

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.transaction.BaseMutation
  - - org.apache.ignite.cache.store.cassandra.session.transaction.WriteMutation

- All Implemented Interfaces:
    Mutation

      public class WriteMutation
      extends BaseMutation

  Mutation which writes(inserts) object into Cassandra.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteMutation(javax.cache.Cache.Entry entry, String table, PersistenceController ctrl)` Creates instance of delete mutation operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.datastax.driver.core.BoundStatement` | `bindStatement(com.datastax.driver.core.PreparedStatement statement)` Binds prepared statement to current Cassandra session.
    `String` | `getStatement()` Returns unbind CLQ statement for to be executed.
    `boolean` | `tableExistenceRequired()` Indicates if Cassandra tables existence is required for this operation.

    - ### Methods inherited from class org.apache.ignite.cache.store.cassandra.session.transaction.BaseMutation

      `controller, getPersistenceSettings, getTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteMutation

          public WriteMutation(javax.cache.Cache.Entry entry,
                               String table,
                               PersistenceController ctrl)

      Creates instance of delete mutation operation.
      Parameters:
        `entry` - Ignite cache entry to be inserted into Cassandra.
        `table` - Cassandra table which should be used for the mutation.
        `ctrl` - Persistence controller to use.

  - ### Method Detail

    - #### tableExistenceRequired

          public boolean tableExistenceRequired()

      Indicates if Cassandra tables existence is required for this operation.
      Returns:
        `true` true if table existence required.

    - #### getStatement

          public String getStatement()

      Returns unbind CLQ statement for to be executed.
      Returns:
        Unbind CQL statement.

    - #### bindStatement

          public com.datastax.driver.core.BoundStatement bindStatement(com.datastax.driver.core.PreparedStatement statement)

      Binds prepared statement to current Cassandra session.
      Parameters:
        `statement` - Statement.
      Returns:
        Bounded statement.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021